[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: version numbers

On Tue, May 11, 1999 at 09:08:52PM -0500, John Hasler wrote:
> Chrony-1.1 is out and I've packaged it to replace chrony-1.02 only to find
> that dpkg claims that 1.1 < 1.02.  What should I do?


[joy@cibalia joy]$ dpkg --compare-versions 1.1 \> 1.02 || echo false


[joy@cibalia joy]$ dpkg --compare-versions 1.10 \> 1.02 && echo true

Make the new version 1.10 and problem is solved... although if there is
a real 1.10 version sometime in the future, you'll have to make it 1.100 ;)
Maybe you can ask the author to name the next version 1.11 or 1.2?

I agree epochs are bad for this kind of thing.

enJoy -*/\*- http://jagor.srce.hr/~jrodin/

Reply to: